Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HeaderDescription

    java.lang.Object
      |
      +--org.w3c.www.http.HeaderDescription

public class HeaderDescription
extends java.lang.Object

Method Summary
`HeaderValue` | `getHolder()` Get this header parser, as an HeaderValue compatible instance.
`java.lang.String` | `getName()` Get this header name, lower case (can be used as header id).
`byte[]` | `getTitle()` Get this header title, ready for emission.
`boolean` | `isHeader(int h)` Is this header description the one of that header.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Get this header name, lower case (can be used as header id).
  Returns:
    A String giving the header identifier.

### getTitle

    public byte[] getTitle()

  Get this header title, ready for emission.
  Returns:
    The actual bytes to be emited for this header title.

### getHolder

    public HeaderValue getHolder()

  Get this header parser, as an HeaderValue compatible instance.
  Returns:
    An instance of HeaderValue, suitable for holding and parsing the header value.

### isHeader

    public boolean isHeader(int h)

  Is this header description the one of that header.
  Parameters:
    `h` - The header access token.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD